Nimbu Developer Docs
ReferenceChannels

Get channel

GET
/channels/{channel_id}

Returns the full configuration for a single channel identified by ID or slug.

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

channel_id*string

Channel identifier (id or slug)

Response Body

application/json

curl -X GET "https://example.com/channels/string"
{
  "id": "string",
  "url": "http://example.com",
  "entries_url": "http://example.com",
  "slug": "string",
  "name": "string",
  "description": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "sensitive": true,
  "customizations": [
    {}
  ],
  "acl": {
    "create": "public",
    "read": "public",
    "update": "public",
    "delete": "public"
  },
  "submittable": true,
  "rss_enabled": true,
  "label_field": "string",
  "title_field": "string",
  "order_by": "string",
  "order_direction": "string",
  "search_enabled": true,
  "search_excluded_field_ids": [
    "string"
  ],
  "submittable_fields": [
    "string"
  ],
  "submittable_html_fields": [
    "string"
  ],
  "submittable_notifications": true,
  "submittable_receivers": "string",
  "submittable_notification_template": "string",
  "submittable_confirmations": true,
  "submittable_confirmation_receivers": "string",
  "submittable_confirmation_template": "string",
  "spam_detection": true,
  "rss_title": "string",
  "rss_description": "string",
  "rss_title_field": "string",
  "rss_description_field": "string"
}
Empty